[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.GetMouseCapture

Gets the value for the MouseCapture property.

## Declaration

Source position: controls.pp line 2304

`protected function TWinControl.GetMouseCapture: Boolean; override;`

## Function result

Value for the MouseCapture property.

## Description

GetMouseCapture is a Boolean function used to get the value for the MouseCapture property. It is overridden in TWinControl to ensure that the Handle for the control has been allocated. The return value is True when HandleAllocated returns True, and GetCaptureControl returns the current class instance.

## See also

TControl.MouseCapture |  | True when mouse messages are currently captured by this control.
TControl.GetMouseCapture |  | Gets the value for the MouseCapture property.
GetCaptureControl |  | Returns the TControl instance with mouse capture enabled.